Skip to main content

Work API

Work Buckets

List Buckets

GET /api/v1/manager-core/work/buckets

Get all work buckets.


Create Bucket

POST /api/v1/manager-core/work/buckets

Request Body:

ParameterTypeRequiredValidation
namestringYesBucket name
descriptionstringNoBucket description

Update Bucket

PUT /api/v1/manager-core/work/buckets

Request Body:

ParameterTypeRequiredValidation
idintegerYesBucket ID
namestringNoBucket name
descriptionstringNoBucket description

Delete Bucket

DELETE /api/v1/manager-core/work/buckets

Request Body:

ParameterTypeRequiredValidation
idintegerYesBucket ID

Get Bucket Tasks

GET /api/v1/manager-core/work/buckets/{id}

Parameters:

  • id (path) - Bucket ID

Get Bucket Lists

GET /api/v1/manager-core/work/buckets/{id}/lists

Parameters:

  • id (path) - Bucket ID

Work Tasks

Store Task

POST /api/v1/manager-core/work/tasks

Create a new task.


Update Task

PUT /api/v1/manager-core/work/tasks/{id}

Parameters:

  • id (path) - Task ID

Store Group

POST /api/v1/manager-core/work/task-groups

Create a task group.

Request Body:

ParameterTypeRequiredValidation
namestringYesGroup name
bucket_idintegerYesBucket ID

My Tasks

GET /api/v1/manager-core/work/tasks/my-tasks

Get tasks assigned to authenticated user.


Search Tasks

GET /api/v1/manager-core/work/tasks/search

Search for tasks.


Work Time

List Time Entries

GET /api/v1/manager-core/work/times

Get all time entries.


Get All Time Entries

GET /api/v1/manager-core/work/times/all

Get all time entries without filters.


Get User Performance

GET /api/v1/manager-core/work/timing/{id?}

Get user performance metrics.

Parameters:

  • id (path, optional) - User ID (defaults to authenticated user)

Store Time Entry

POST /api/v1/manager-core/work/times

Request Body:

ParameterTypeRequiredValidation
task_idintegerYesTask ID
started_atdatetimeYesStart time
ended_atdatetimeNoEnd time
notesstringNoTime entry notes

Stop Timer

POST /api/v1/manager-core/work/times/stop

Stop the current running timer.


Store Multiple Time Entries

POST /api/v1/manager-core/work/time-tracking

Search Task for Time

GET /api/v1/manager-core/work/times/search

Search tasks for time tracking.